﻿namespace anbs_cp.Classes;

/// <summary>
/// Класс -- расширение для класса File
/// </summary>
public static class FileExtension
{
    /// <summary>
    /// Получает MIME-тип файла
    /// </summary>
    /// <param name="filename">Имя файла</param>
    /// <returns>MIME-тип файла</returns>
    public static string MimeType (string filename) =>
        MimeTypes.GetMimeType(filename);

    /// <summary>
    /// Размер файла в байтах
    /// </summary>
    /// <param name="fileName">Полное имя и путь к файлу</param>
    /// <returns>Размер файла в байтах</returns>
    public static long FileSize (string fileName) =>
        new FileInfo(fileName).Length;

    /// <summary>
    /// Получает хэш файла
    /// </summary>
    /// <param name="fileName">Имя файла</param>
    /// <returns>Хэш файла в формате <see cref="FileHash"/></returns>
    public static FileHash GetHash (string fileName) =>
        new(fileName);
}