﻿using anbs_cp.Exceptions;

namespace anbs_cp.Interfaces;

/// <summary>
/// Интерфейс для сериализации объектов
/// </summary>
public interface ISerializable
{
    /// <summary>
    /// Сериализовать элемент в формат json
    /// </summary>
    /// <returns>Строка в формате json</returns>
    /// <exception cref="SerializeException">Ошибка при сериализации</exception>
    string Serialize();

    /// <summary>
    /// Восстановить элемент из формата json
    /// </summary>
    /// <param name="json">Строка в формате json</param>
    /// <exception cref="SerializeException">Ошибка при десериализации</exception>
    void Deserialize(string json);
}